package com.tomastc.anickd.lib;

public class ProductionSchedule {

    private String id;
    private String pc_no;
    private String part_no;
    private String part_color;
    private String control_no;
    private String po_no;
    private String status;
    private String stage;
    private String receive_plan_date;
    private String receive_plan_time;
    private String receive_act_dt;
    private String receive_plan_qty;
    private String receive_act_qty;
    private String receive_step1;
    private String receive_step2;
    private String receive_step3;
    private String receive_pending;
    private String receive_error;
    private String receive_user_id;
    private String line_no;
    private String maker_name;
    private String maker_code;
    private String model_type;
    private String model_no;
    private String tagreceive_ref_id;
    private String dayunit_ref_id;
    private String hatc_ref_id;
    private String create_dt;
    private String create_user_id;
    private String update_dt;
    private String update_user_id;

    public ProductionSchedule(String part_noe) {
        this.part_no = part_no;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPc_no() {
        return pc_no;
    }

    public void setPc_no(String pc_no) {
        this.pc_no = pc_no;
    }

    public String getPart_no() {
        return part_no;
    }

    public void setPart_no(String part_no) {
        this.part_no = part_no;
    }

    public String getPart_color() {
        return part_color;
    }

    public void setPart_color(String part_color) {
        this.part_color = part_color;
    }

    public String getControl_no() {
        return control_no;
    }

    public void setControl_no(String control_no) {
        this.control_no = control_no;
    }

    public String getPo_no() {
        return po_no;
    }

    public void setPo_no(String po_no) {
        this.po_no = po_no;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getReceive_plan_date() {
        return receive_plan_date;
    }

    public void setReceive_plan_date(String receive_plan_date) {
        this.receive_plan_date = receive_plan_date;
    }

    public String getReceive_plan_time() {
        return receive_plan_time;
    }

    public void setReceive_plan_time(String receive_plan_time) {
        this.receive_plan_time = receive_plan_time;
    }

    public String getReceive_act_dt() {
        return receive_act_dt;
    }

    public void setReceive_act_dt(String receive_act_dt) {
        this.receive_act_dt = receive_act_dt;
    }

    public String getReceive_plan_qty() {
        return receive_plan_qty;
    }

    public void setReceive_plan_qty(String receive_plan_qty) {
        this.receive_plan_qty = receive_plan_qty;
    }

    public String getReceive_act_qty() {
        return receive_act_qty;
    }

    public void setReceive_act_qty(String receive_act_qty) {
        this.receive_act_qty = receive_act_qty;
    }

    public String getReceive_step1() {
        return receive_step1;
    }

    public void setReceive_step1(String receive_step1) {
        this.receive_step1 = receive_step1;
    }

    public String getReceive_step2() {
        return receive_step2;
    }

    public void setReceive_step2(String receive_step2) {
        this.receive_step2 = receive_step2;
    }

    public String getReceive_step3() {
        return receive_step3;
    }

    public void setReceive_step3(String receive_step3) {
        this.receive_step3 = receive_step3;
    }

    public String getReceive_pending() {
        return receive_pending;
    }

    public void setReceive_pending(String receive_pending) {
        this.receive_pending = receive_pending;
    }

    public String getReceive_error() {
        return receive_error;
    }

    public void setReceive_error(String receive_error) {
        this.receive_error = receive_error;
    }

    public String getReceive_user_id() {
        return receive_user_id;
    }

    public void setReceive_user_id(String receive_user_id) {
        this.receive_user_id = receive_user_id;
    }

    public String getLine_no() {
        return line_no;
    }

    public void setLine_no(String line_no) {
        this.line_no = line_no;
    }

    public String getMaker_code() {
        return maker_code;
    }

    public void setMaker_code(String maker_code) {
        this.maker_code = maker_code;
    }

    public String getModel_type() {
        return model_type;
    }

    public void setModel_type(String model_type) {
        this.model_type = model_type;
    }

    public String getModel_no() {
        return model_no;
    }

    public void setModel_no(String model_no) {
        this.model_no = model_no;
    }

    public String getTagreceive_ref_id() {
        return tagreceive_ref_id;
    }

    public void setTagreceive_ref_id(String tagreceive_ref_id) {
        this.tagreceive_ref_id = tagreceive_ref_id;
    }

    public String getDayunit_ref_id() {
        return dayunit_ref_id;
    }

    public void setDayunit_ref_id(String dayunit_ref_id) {
        this.dayunit_ref_id = dayunit_ref_id;
    }

    public String getHatc_ref_id() {
        return hatc_ref_id;
    }

    public void setHatc_ref_id(String hatc_ref_id) {
        this.hatc_ref_id = hatc_ref_id;
    }

    public String getCreate_dt() {
        return create_dt;
    }

    public void setCreate_dt(String create_dt) {
        this.create_dt = create_dt;
    }

    public String getCreate_user_id() {
        return create_user_id;
    }

    public void setCreate_user_id(String create_user_id) {
        this.create_user_id = create_user_id;
    }

    public String getUpdate_dt() {
        return update_dt;
    }

    public void setUpdate_dt(String update_dt) {
        this.update_dt = update_dt;
    }

    public String getUpdate_user_id() {
        return update_user_id;
    }

    public void setUpdate_user_id(String update_user_id) {
        this.update_user_id = update_user_id;
    }

    public enum STATUS {
        IMPORTED,
        RECEIVED,
        STAGED,
        INNER_PACKED,
        OUTER_PACKED,
        CANCELED,
        STOP_CASE,
        WORKING,
        PENDING,
        NG,
        COMPLETED

    }

    public enum STAGE {
        RECEIVING,
        STAGING,
        INNER_PACKING,
        OUTER_PACKING,
        COMPLETED,
        LABELING
    }

    public enum AREA {
        RECEIVING,
        STAGING,
        INNER_PACKING,
        OUTER_PACKING,
    }
}
